/****************************************************************************
 *   Copyright (C) 2004 by Arboretum Systems, Inc.                          *
 *   Technical administrator: Alain Mazy, hav@mazy.be                       *
 *   Lead program designer: Georges Jaroslaw, gjaro@arboretum.com           *
 *                                                                          *
 *   HyperEngine-AV is a video, audio and text editor that can be used to   *
 *   record, import, edit, process and arrange together video, sound and    *
 *   text. These are all achieved in the program's free-form document       *
 *   window, with no limitations to the number of tracks.                   *
 *   The purpose of this program is to provide to users at all levels of    *
 *   expertise a readily accessible tool enabling them to create movies,    *
 *   slide shows or presentations.                                          *
 *                                                                          *
 *   HyperEngine-AV itself is free software. However, plug-ins that can be  *
 *   used as add-ons to HyperEngine-AV may or may not be free software, at  *
 *   the discretion of each plug-in developer and as specified by these     *
 *   plug-ins' respective licenses.                                         *
 *   You can redistribute HyperEngine-AV itself and/or modify it under the  *
 *   terms of the GNU General Public License as published by the Free       *
 *   Software Foundation; either version 2 of the License, or (at your      *
 *   option) any later version.                                             *
 *                                                                          *
 *   HyperEngine-AV is distributed in the hope that it will be useful, but  *
 *   WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *   GNU General Public License for all applicable details.                 *
 *                                                                          *
 *   You should have received a copy of the GNU General Public License      *
 *   along with this program; if not, write to:                             *
 *   Free Software Foundation, Inc.,                                        *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.              *
 ****************************************************************************/

#import "MIAllOnCommand.h"
#import "MIChangeVAOCommand.h"
#import "MICollapseCommand.h"
#import "MIConfigureTransitionCommand.h"
#import "MIConfigureVideoEffectCommand.h"
#import "MICopyCommand.h"
#import "MICreateAudioProcessorCommand.h"
#import "MICreateContainerCommand.h"
#import "MICreateMoveWSObjFromFileCommand.h"
#import "MICreatePictFromFrame.h"
#import "MICreateVideoProcessorCommand.h"
//#import "MICreateWSObjFromFileCommand.h"
#import "MICreateWSObjsFromFilesCommand.h"
#import "MICropCommand.h"
#import "MICutCommand.h"
#import "MIDCAdjustCommand.h"
#import "MIEncloseSelectionCommand.h"
#import "MIDeleteCommand.h"
#import "MIDirtyResamplerCommand.h"
#import "MIDJSwitchCommand.h"
#import "MIDuplicateCommand.h"
#import "MIDuplicateManyCommand.h"
#import "MIExpandCommand.h"
#import "MIFreezeCommand.h"
#import "MIFadeInCommand.h"
#import "MIFadeOutCommand.h"
#import "MIGainCommand.h"
#import "MIInsertSilenceCommand.h"
#import "MIInvertPhaseCommand.h"
#import "MILoopsmoothCommand.h"
#import "MIResampleCommand.h"
#import "MIResizeCommand.h"
#import "MIMergeCommand.h"
#import "MIMoveCommand.h"
#import "MIMuteCommand.h"
#import "MINormalizeCommand.h"
#import "MIPasteCommand.h"
#import "MIReverseCommand.h"
#import "MIShrinkToFitCommand.h"
#import "MISilenceCommand.h"
#import "MISoloCommand.h"
#import "MISplitCommand.h"
#import "MISwapChannelsCommand.h"
#import "MITimeStretchCommand.h"
#import "MITrimCommand.h"
#import "MIUnfreezeCommand.h"
#import "MIUpdateVideoTransitionsCommand.h"
#import "MILockToTimelineCommand.h"
#import "MIRepositionLockedObjectsCommand.h"

#import "MICreateClipsFromLibraryElementsCommand.h"

#import "MIRenameCommand.h"
#import "MISingleCollapseExpandCommand.h"
#import "MICreateClipFromSelectionCommand.h"
#import "MIEditTextCommand.h"
#import "MICreateTextClipCommand.h"